Subject: Re: python-pydevd-3.2.3 build failure

From: Liliana Marie Prikler <[email-masked]>
Date: Thu, 16 Jan 2025 12:11:59 +0100

Am Donnerstag, dem 16.01.2025 um 04:45 -0600 schrieb bdju:
> Based on what you said, I attempted `guix build --cores=1 font-
> cozette`, but it still resulted in a failure. Do I need to just keep
> trying until it works or could something else be the problem? Build
> log attached again. Should I be build python-pydevd itself instead of
> font-cozette?  Does that matter for how the core count is applied?
> I'll try that as well just in case.
You can try rebuilding it in a loop, but…
> tests_python/test_debugger_json.py::test_case_sys_exit_multiple_exception_attach[0-zero-uncaught-] - AssertionError: TimeoutError
I think we should just disable this test as flaky.

Cheers